package com.example.db_sync.database;

import android.database.sqlite.SQLiteDatabase;
import android.util.Log;

// trieda pre pracu s tabulkou "udaje" - je dobre mat vlastnu triedu pre kazdu tabulku
public class tbl_udaje {
    // nazov tabulky
    public static final String DATABASE_TABLE = "udaje";
    // stlpce tabulky
    public static final String COLUMN_ID = "_id"; // standard, ktory treba dodrzat
    public static final String COLUMN_DATETIME = "datetime";
    public static final String COLUMN_DATA = "data";
    public static final String COLUMN_SYNCED = "synced";
    public static final String COLUMN_TOBEDELETED = "tobedeleted";
    // SQL vyraz pre vytvorenie novej tabulky
    private static final String CREATE_TABLE = "create table " +
            DATABASE_TABLE + " (" + COLUMN_ID + " integer primary key autoincrement, " +
            COLUMN_DATETIME + " text, " +
            COLUMN_DATA + " text, " +
            COLUMN_SYNCED + " integer, " +
            COLUMN_TOBEDELETED + " integer);";

    // konstruktor
    public tbl_udaje() { }

    // vytvorenie novej tabulky - vykona sa pocas vytvarania dB
    public static void onCreate(SQLiteDatabase _db) {
        _db.execSQL(CREATE_TABLE);
    }

    // aktualizacia verzie tabulky - vykona sa pocas upgradu dB
    public static void onUpgrade(SQLiteDatabase _db, int _oldVersion, int _newVersion) {
        Log.w(tbl_udaje.class.getName(), "Aktualizacia dB (tabulky) z verzie" +
                _oldVersion + " na verziu " + _newVersion +
                ", vsetky udaje v tabulke budu vymazane");
        // zrusenie povodnej tabulky
        _db.execSQL("DROP TABLE IF EXISTS " + DATABASE_TABLE);
        // vytvorenie novej tabulky
        onCreate(_db);
    }
}
